<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <title>Ada for Automation Demo Portal</title>
  <link rel="stylesheet" href="https://www.w3schools.com/lib/w3.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>

<body>
  <header id="top">
    <div class="w3-container w3-blue">
      <img src="./img/A4A_logo.svg" width=100 alt="Logo" style="display:inline" class="w3-right">
      <h1>Ada for Automation Demo Portal</h1>
    </div>
    <nav class="w3-topnav w3-medium w3-blue">
      <a href="index.html" target="_blank"><i class="fa fa-home w3-small"></i></a>
      <a href="app1.html" target="_blank">Application 1</a>
      <a href="app2.html" target="_blank">Application 2</a>
      <a href="app3.html" target="_blank">Application 3</a>
      <div class="w3-dropdown-hover">
        <a href="https://ada-for-automation.gitlab.io/ada-for-automation/docu/book/A4A-Book-fr.html" target="_blank">Help</a>
        <div class="w3-dropdown-content w3-blue w3-card-4">
          <a href="https://ada-for-automation.gitlab.io/ada-for-automation/docu/book/A4A-Book-fr.html" target="_blank">French Online Help</a>
          <a href="https://ada-for-automation.gitlab.io/ada-for-automation/docu/book/A4A-Book-en.html" target="_blank">English Online Help</a>
          <a href="#" onclick="document.getElementById('about-box').style.display='block'">About</a>
          <a href="https://www.ada4automation.org/" target="_blank">Ada for Automation</a>
        </div>
      </div>
    </nav>
  </header>

  <div id="main-content">
    <div id="about-box" class="w3-modal">
      <div class="w3-modal-content w3-card-8">
        <header class="w3-container w3-light-blue">
          <span onclick="document.getElementById('about-box').style.display='none'" class="w3-closebtn">Close &times;</span>
          <h2>About Ada for Automation Demo Portal</h2>
        </header>
        <div class="w3-container">
          <h3>Application description</h3>
          <p>
            This is a demo aggregation site, or a portal, gathering several demos from multiple target machines.</p>
        </div>
        <footer class="w3-container w3-light-blue">
          <h3>Application version</h3>
          <span>2021/11/13</span>
        </footer>
      </div>
    </div>

    <section id="app3" class="w3-section">

      <header class="w3-container w3-light-blue w3-padding-8">
        <h2>Ada for Automation Modbus TCP Server / S7 Gateway</h2>
        <a href="#top"><i class="fa fa-arrow-up w3-large w3-right"></i></a>
        <a href="#bottom"><i class="fa fa-arrow-down w3-large w3-right"></i></a>
      </header>

      <div class="w3-container w3-padding-16 w3-border">
        <h2>Summary</h2>
        <p>This example shows a gateway application, running on an industrial PC on top of a GNU/Linux Debian
          connected to a SIEMENS S7 PLC using S7 Communication ISO on TCP (RFC1006) thanks to the
          <a href="http://snap7.sourceforge.net/" target="_blank">Snap7 library</a> Ada binding.
        </p>
        <p>If the SIEMENS S7 PLC does not have an Ethernet port, S7 Communication ISO on TCP (RFC1006) can be added by pluging a
          <a href="https://www.hilscher.com/products/product-groups/gateways/for-direct-mounting-plug/nl-50-mpi/?" target="_blank">netLINK</a>
          on a MPI or PROFIBUS port.
        </p>

        <p><iframe src="https://a4a-k0-s7.demo.ada4automation.org/#main" height="512" width="640"></iframe>
          <iframe src="https://slo-ist.fr/wp-content/uploads/2021/10/A4A-K0-S7-00.png" height="512" width="640"></iframe>
        </p>
        <p><img src="./img/A4A_K0_S7-SIEMENS-S7-Cloud.png" alt="App3 in the Cloud"></p>
      </div>

      <div class="w3-container w3-light-grey w3-padding-16 w3-border">
        <p>Here is a link to Application 3 :<br>
          <a href="https://a4a-k0-s7.demo.ada4automation.org" target="_blank">Application 3</a>
        </p>
      </div>

    </section>

  </div>

  <footer id="bottom" class="w3-container w3-light-blue w3-center">
    <a href="#top"><i class="fa fa-arrow-up w3-large w3-right"></i></a>
    <h5>Application proudly built upon
      <a href="https://www.ada4automation.org/" target="_blank">Ada for Automation</a>
    </h5>

    <p>Copyright &copy; 2023 St&eacute;phane LOS<br></p>
  </footer>

  <noscript>Your browser must support JavaScript and be HTML 5 compliant to see this site.</noscript>
</body>

</html>
